Questions tagged [homebrew]

Homebrew is a package manager for OS X. It provides an easy interface to install many packages Apple didn't. It has been built to play nicely with your existing system and not interfere with it. It has been built entirely on top of git and ruby and is easily customised to suit your needs.

Filter by
Sorted by
Tagged with
0
votes
1answer
19 views

FileGDB write support for GDAL/OGR in macOS

I am using macOS Mojave and Homebrew with latest update. I have tried to install gdal 3.0.1 and filegdb plugins via homebrew-osgeo4mac tap as below: brew tap osgeo/osgeo4mac brew install osgeo-gdal ...
0
votes
0answers
23 views

Download GDAL 2.4 on Mac OS High Sierra command error for Python

I don't have any coding experience but I have to build a program for work that has to do with NDVI (which Google says I can do with the GDAL package). Please explain responses keeping in mind I have ...
5
votes
1answer
560 views

QGIS install on OSX with homebrew: “You have other linked versions!”

I have an OSX Mojave setup where I've already installed PostGIS and GDAL using Homebrew. Now I'd like to install QGIS. I'm trying: brew install qgis But... I'm getting lots of warnings of the form: ...
1
vote
1answer
294 views

Install QGIS3 with ecw support with Homebrew

I'm trying to open ecw images and want to do this with QGIS. Is there a way that I can do this solely with Homebrew? Or using Homebrew for the most part? Here you can see that I have install via ...
2
votes
0answers
87 views

Homebrew (OS X), gdal, and gdal2tiles.py/python

I had a previous installation of gdal (v. 1.11.5_3) that included in its binaries python files like gdal2tiles.py. I recently upgraded gdal with to 2.2.4 using Homebrew, but the result seems to have ...
2
votes
0answers
473 views

QGIS 3 installation fails due to wrong python found

I try to install QGIS as seen in https://github.com/qgis/homebrew-qgisdev/issues/64 by executing: brew install --no-sandbox qgis/qgisdev/qgis3-dev but fail with: CMake Error at /usr/local/Cellar/...
0
votes
1answer
854 views

Install legacy versions of GDAL with Homebrew

I have installed, on a MacOSX, GDAL2 from homebrew with: brew tap osgeo/osgeo4mac && brew tap --repair brew install gdal2 --with-complete And then the python binding: brew install gdal2-...
3
votes
2answers
2k views

Upgrading PostgreSQL with broken PostGIS installation (“$libdir/postgis-2.3” error)? [closed]

As there are two ways to solve this question, I asked for another approach here. Whenever a major release of PostgreSQL appears, homebrew will happily install it right away, unless one pins a certain ...
3
votes
0answers
2k views

Installing PostGIS on older homebrew versions of PostgreSQL (e.g. postgresql@9.6)? [closed]

As there are two ways to solve this question, I asked for another approach here. Whenever a major release of PostgreSQL appears, homebrew will happily install it right away, unless one pins a certain ...
1
vote
2answers
842 views

using GDAL installed using homebrew from python on OSX

I would like to work with jpeg2000 files in python but when I install GDAL using pip or conda it can't read jpeg2000s. GDAL's version is: 2.1.0 module 'osgeo.gdal' from '/Applications/anaconda/lib/...
2
votes
1answer
946 views

Install GDAL on MacOS via Homebrew with Oracle support?

I'm trying to install GDAL on a Mac so I can use ogr2ogr against an Oracle database. This was as easy as: brew install gdal However, it seems the Homebrew edition of GDAL doesn't ship with Oracle ...
1
vote
0answers
262 views

Processing LWGEOM Provider crashes QGIS 2.18

I am trying to use the LWGEOM processing algorithms in QGIS 2.18 running on OS X (El Capitan). I have installed the liblwgeom library (v. 2.1.5) using a Homebrew formula and successfully set its ...
3
votes
1answer
279 views

R in QGIS Processing without installing GRASS

I have installed QGIS on Mac, using Homebrew: brew install qgis2 --with-r from osgeo/osgeo4mac. I did not want Grass ( although I have laso tried --with-grass . In the processing toolbox, I went ...
3
votes
1answer
3k views

Installing QGIS using Homebrew

I've been unsuccessfully trying to install QGIS using Homebrew (used Homebrew to install GDAL and GSL) as outlined here My OS is Mac Yosemite, 10.10.5. The installation sort of finishes, but with a ...
1
vote
0answers
489 views

Installing QGIS with Python 2 and Python 3 on OSX [closed]

I just installed qgis (and all the dependencies, etc.) on my Mac OSX 10.10 via homebrew. Currently, I use both Python 2 and Python 3 on the machine. Whenever I change the Python path [to open qgis], ...
5
votes
1answer
295 views

Brewing GRASS with PostgreSQL support?

On my Mac, running OS X 10.10.5 and I installed Grass with homebrew: brew tap osgeo/osgeo4mac brew install grass-70 Unfortunately, I cannot choose the pg driver in the db.login menu. Can anyone ...
16
votes
5answers
27k views

Installing GDAL on MacOSX?

Does anybody know what's the easiest way to install GDAL 2.0 on a MacOSX? The usual suspects kingchaos binary distribution and homebrew seem to be stuck on GDAL 1.11 I need support for TopoJSON ...
0
votes
1answer
97 views

Can OpenGeo Suite co-exist with Homebrew-installed PostGIS/PostgreSQL in Yosemite?

I installed PostgreSQL (9.4.1) and PostGIS (2.1.7) using Homebrew in Yosemite (10.10.3). I'm just starting my way through "PostGIS In Action." I've been starting and stopping the server in Terminal ...
1
vote
2answers
2k views

Shapefile to Mysql error using ogr2ogr

I'm following this tutorial. I installed the “GDAL Complete” Framework from kyngchaos.com and I tested the installation on Mac. I have GDAL 1.11.2, released 2015/02/10. When I am trying to run this ...
6
votes
1answer
2k views

Opening file geodatabase using QGIS for Mac?

I'm trying to open a GDB on QGIS for Mac but having no luck. Details: I'm currently running OS 10.9.3 on my laptop. I downloaded and installed QGIS 2.6.1-2 from KyngChaos I installed the GDAL ...
5
votes
2answers
2k views

How to install postgis extension using an existent version on postgresql on OSX 10.9.4

I'm trying to install postgis using my existent version of postgresql. I tried doing: brew install postgis. But I'm getting the following error trying run create extension postgis; query PG::...
1
vote
1answer
908 views

QGIS loads PostGIS layers but DBManager can't connect

DB Manager can't connect to PostgreSQL, but "Add PostGIS Layer" can. My eventual goal is to save created layers to PostGIS. I assume I can do this using the DBManager Tool. I can alternatively use ...
5
votes
1answer
3k views

QGIS on Mavericks

I have been trying to install QGIS on Mavericks and I have failed. Prior to installing QGIS, I installed GDAL using homebrew. I also installed Numpy, SciPy and pyqt using the detailed instructions ...
1
vote
2answers
965 views

OSX 10.9 + QGIS 2.0.1 - Missing osgeo module

Running the following: QGIS 2.0.1 (via Kyngchaos) OSX 10.9 GDAL/OGR 1.10.1 (via Homebrew). Recently, I've become unable to use the OpenLayers plugin, which is complaining that I'm missing the osgeo ...
4
votes
1answer
3k views

Missing libraries when upgrading to PostGIS 2.1 and PostgreSQL 9.3.1 using homebrew

In the process of upgrading my PostgreSQL from version 9.2.4 to 9.3.1 (via homebrew on OS X) I came across an odd problem. These are the steps I took so far PostgreSQL, PostGIS and required libraries ...
3
votes
2answers
411 views

Homebrew OGR with FGDB support on OSX 10.9

This answer worked beautifully in 10.8, but isn't working immediately in 10.9. The link to download the FileGDB API still works, but there are a bunch of options available I don't remember from ...
2
votes
1answer
2k views

How do I upgrade from PostGIS 2.0 to 2.1?

I'm using homebrew on OSX. I have a working postgres 9.2 + postgis 2.0 database installed. The main problem is that the 9.2 dump contains all the postgis 2.0 tables and functions, which don't need to ...
2
votes
1answer
2k views

How to update to QGIS 2.0.1 on Mac?

I'm trying to upgrade to the newest version of qGIS but get the following error message when I open the installer: QGIS requires the GEOS framework version 3.4 or newer. I've had no luck maintaining ...
2
votes
1answer
1k views

Error Updating GDAL with Homebrew

I recently updated my version of GDAL using the Homebrew package manager. However, now whenever I use GDAL from within my terminal shell, I get the following error: dyld: Library not loaded: /usr/...
3
votes
2answers
3k views

raster2pgsql part of PostGIS?

I wanted to use the PostGIS functionality raster2pgsql, but I had to discover that the Python function was not installed with my PostGIS installation. Do you know if raster2pgsql is generally part of ...
1
vote
0answers
401 views

Homebrew GDAL installation ECW or MrSID

I have experimented with installing gdal 1.9.1 via homebrew. It works wonderfully. Unfortunately, their is no real JP2000 support. I realize that JP2000 is supported by OpenJp2000, but that ...
19
votes
5answers
26k views

How to create PostGIS template?

I am following a tutorial to install pgrouting. However, I didn't get the part when it says Start pgAdmin and create a new database based on your PostGIS template Where can I get this postgis ...
1
vote
1answer
1k views

How to solve the “Undefined symbols in librouting.dylib” issue on Mac Os X?

I'm trying to create a Homebrew formula to let anybody install pgrouting on his or her mac. I've seen this question: https://gis.stackexchange.com/questions/15314/how-to-fix-pgrouting-librouting-dd-...